Groovy 1.7.10

## org.codehaus.groovy.runtime.metaclass
[Java] Class MissingPropertyExceptionNoStack

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      groovy.lang.MissingPropertyException
                          org.codehaus.groovy.runtime.metaclass.MissingPropertyExceptionNoStack

    public class MissingPropertyExceptionNoStack
    extends MissingPropertyException

Field Summary

Fields inherited from class MissingPropertyException
MPE

Constructor Summary
`MissingPropertyExceptionNoStack(String propertyName, Class theClass)`

Method Summary
`Throwable` | `fillInStackTrace()`

Methods inherited from class MissingPropertyException
getMessageWithoutLocationText, getProperty, getType

Methods inherited from class GroovyRuntimeException
getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### MissingPropertyExceptionNoStack

    public MissingPropertyExceptionNoStack(String propertyName, Class theClass)

Method Detail

### fillInStackTrace

    public Throwable fillInStackTrace()

Copyright © 2003-2010 The Codehaus. All rights reserved.